[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TGetDbEditMaskEvent

Specifies an event handler used to get the Edit Mask for a cell in a grid.

## Declaration

Source position: dbgrids.pas line 106

`type TGetDbEditMaskEvent = procedure(`
`Sender: TObject;`
`const Field: TField;`
`var Value: string`
`) of object;`

## Arguments

`Sender` |  | Grid control for the event.
`Field` |  | Field for the event.
`Value` |  | Default value for the edit mask.

## Description

TGetDbEditMaskEvent specifies an event handler used to get the Edit Mask for a cell in a database grid control. TGetDbEditMaskEvent can be used to provide an edit mask for the specified Field. TGetDbEditMaskEvent is the type used for the OnFieldEditMask property in TDBGrid.

## See also

TCustomDBGrid.OnFieldEditMask |  | Event handler signalled to get the edit mask for a Field.